@echo off
if not [%2]==[] goto %2
for %%q in (5 4 3 2 1 0) do if errorlevel 25%%q %0 25%%q 1
for %%q in (4 3 2 1 0) do if errorlevel 2%%q0 %0 2%%q 10
for %%q in (9 8 7 6 5 4 3 2 1 0) do if errorlevel 1%%q0 %0 1%%q 10
for %%q in (9 8 7 6 5 4 3 2 1 0) do if errorlevel %%q0 %0 %%q 10
:10
for %%q in (9 8 7 6 5 4 3 2 1 0) do if errorlevel %1%%q %0 %1%%q 1
%0 0 1
:1
echo errorlevel is %1
